package de.zuim.ledcontrol.effects;

import com.tagtraum.jipes.math.FFTFactory;
import com.tagtraum.jipes.math.Transform;
import de.zuim.ledcontrol.LEDEffect;
import oshi.SystemInfo;
import oshi.hardware.*;

import javax.sound.sampled.*;
import java.awt.*;
import java.text.SimpleDateFormat;
import java.util.*;
import java.util.List;

import static de.zuim.ledcontrol.LEDControl.WIDTH;
import static java.awt.image.ImageObserver.HEIGHT;


public class TemperatureEffect implements LEDEffect {
	@Override
	public String getDescription() {
		return "Temperatur Sensoren";
	}

	NetworkIF network = null;
	CentralProcessor cpu = null;
	Sensors sensors = null;

	@Override
	public void load() {
		if(sensors == null){
			SystemInfo si = new SystemInfo();
			HardwareAbstractionLayer hal = si.getHardware();
			network = hal.getNetworkIFs().get(0);
			cpu = hal.getProcessor();
			sensors = hal.getSensors();
		}
	}

	private Font font = new Font("Calibri", Font.BOLD, 12*getScale());

	@Override
	public void render(long timeDelta, Graphics g) {

		String text = "---";
		if(sensors!=null){
			text = Math.round(cpu.getSystemLoadAverage(1)[0]*100)+"%\n";
			text+= sensors.getCpuTemperature();
		}

        g.setFont(font);
        g.setColor(new Color(26, 9, 9));
        g.drawString(text, 0, 8*getScale());
	}
}
